<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author       pedro.garcia
@description  tabla donde se listan los anexos de un avalúo
@cu           CU-SA-AC-130


-->

<h:panelGrid
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:p="http://primefaces.org/ui"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    width="100%"
    id="detallesAvaluoPG">


    <p:dataTable
        id="anexosAvaluoDT"
        value="#{administracionDetallesAvaluo.anexosAvaluoList}"
        var="anexo"
        widgetVar="detallesAvaluoDTWV"
        rowKey="#{anexo.id}"
        paginator="true"
        rows="5"
        selection="#{administracionDetallesAvaluo.selectedAnexoAvaluo}"
        selectionMode="single"
        paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
        {NextPageLink} {LastPageLink}"
        rowsPerPageTemplate="5,10,15"
        paginatorPosition="bottom"
        emptyMessage="No se encontraron anexos del avalúo"
        >

        <f:facet name="header">
            Anexos asociados al avalúo
        </f:facet>

        <p:column headerText="Tipo">
            <h:outputText value="#{anexo.tipo}"/>
        </p:column>

        <p:column headerText="Descripción">
            <h:outputText value="#{anexo.descripcion}"/>
        </p:column>

        <p:column headerText="Fuente">
            <h:outputText value="#{anexo.fuente}"/>
        </p:column>

        <p:column headerText="Medida">
            <h:outputText value="#{anexo.medida}"/>
        </p:column>

        <p:column headerText="Unidad medida">
            <h:outputText value="#{anexo.unidadMedida}"/>
        </p:column>

        <p:column headerText="Valor unidad">
            <h:outputText value="#{anexo.valorUnidad}">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>

        <p:column headerText="Valor anexo">
            <h:outputText value="#{anexo.valorTotal}">
                <f:converter converterId="converterMoneda" />
            </h:outputText>
        </p:column>


    </p:dataTable>


</h:panelGrid>
